summaryrefslogtreecommitdiffstats
path: root/testing/pgagent/pgagent.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/pgagent/pgagent.initd')
-rw-r--r--testing/pgagent/pgagent.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/pgagent/pgagent.initd b/testing/pgagent/pgagent.initd
new file mode 100644
index 000000000..0e37fcc6b
--- /dev/null
+++ b/testing/pgagent/pgagent.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/pgagent/files/pgagent.initd,v 1.1 2012/04/28 18:34:11 titanofold Exp $
+
+PGAGENTOPT="-t ${PGA_POLL} -r ${PGA_RETRY} -s ${PGA_LOG} -l ${PGA_LEVEL}"
+
+PGOPT="hostaddr=${PG_HOST} dbname=${PG_DBNAME} user=${PG_USER}"
+
+depend() {
+ use net
+ need postgresql
+}
+
+start() {
+ ebegin "Starting pgagent"
+ start-stop-daemon --start --exec /usr/bin/pgagent -- ${PGAGENTOPT} ${PGOPT}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping pgagent"
+ start-stop-daemon --stop --name pgagent
+ eend $?
+}